Skip to main content
`Ctrl`+`K`

# numpy.random.Generator.bytes

method

random.Generator.bytes(length)

  Return random bytes.

  Parameters:
    length int

      Number of random bytes.

  Returns:
    out bytes

      String of length length.

  Notes

  This function generates random bytes from a discrete uniform distribution. The generated bytes are independent from the CPU’s native endianness.

  Examples

      >>> rng = np.random.default_rng()
      >>> rng.bytes(10)
      b'\xfeC\x9b\x86\x17\xf2\xa1\xafcp'  # random